/*
 * This file is part of the VxWorks simulation model for CarbonKernel.
 *
 * VxWorks is a registered trademark of Wind River Systems, Inc.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Description: An attempt to gather WIND kernel API types and definitions.
 *
 * Author(s): rpm
 *
 * Contributor(s):
 *
 */

#ifndef _vxworks_windDefs_h
#define _vxworks_windDefs_h

#define STATUS int
#define BOOL   int

#define OK    0
#define ERROR (-1)

typedef void (*FUNCPTR)(int a0, ...);

typedef FUNCPTR VOIDFUNCPTR;

#define NO_WAIT         0
#define WAIT_FOREVER    (-1)

#endif	/* !_vxworks_windDefs_h */
